<%@ page import="javax.servlet.http.Cookie,java.util.*"%>
<TITLE> response应用实例2 </TITLE>
<%
String userName="cookietest";
//通过request对象将Cookie中的内容读出
Cookie[] cookie=request.getCookies();
Cookie cookie_response=null;
List list=Arrays.asList(cookie);
Iterator it=list.iterator();
//读Cookie的值并判该客户以前是否访问过
//然后将该客户的对应的Cookie的内容赋给cookie_response
while(it.hasNext())
{
  Cookie temp=(Cookie)it.next();
  if(temp.getName().equals(userName+"_access_time")) 
  {
  	cookie_response=temp;
  	break;
  }
 }
//如果不是第一次访问，显示Cookie保存的时间
out.println("当前的时间："+new java.util.Date()+"<br>");
if(cookie_response!=null)
{
   out.println("上一次访问的时间："+cookie_response.getValue());
   cookie_response.setValue(new Date().toString());
}
//如果该客户第一次访问过此页面所进行的操作
else
{
	cookie_response=new Cookie(userName+"_access_time",new java.util.Date().toString());
}
//更新Cookie的内容
response.addCookie(cookie_response);
response.setContentType("text/html");
response.flushBuffer();
%>
